%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/hashicorp/go-version
Version:                1.6.0

%gometa

%global common_description %{expand:
Go-version is a library for parsing versions and version constraints, and
verifying versions against a set of constraints. go-version can sort a
collection of versions properly, handles prerelease/beta versions, can increment
versions, etc.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go library for parsing and verifying versions and version constraints

License:        MPL-2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.0-1
- initial build
